Rev 7.00
Sun Aug 11 00:39:38 2002    <amol@AMOLDWHISPHOME>
	* various files: Remove GPL'ed termcap code. Partial fix for 
 	                 horizontal scroll. Fix visiblebell. 
Sat May 04 22:38:36 2002    <amol@AMOLDWHISPHOME>
	* ntfunc.c: fixed leak in nt_texec ?? (fast exec path). 
	            Removed sourcerc and printrc.
Rev 6.07
Mon Mar 18 17:54:44 2002    <amol@AMOLDWHISPHOME>
	* support.c,fork.c: wow64 (32-bit on ia64) seems to work now. 
Rev 6.06
Sun Mar 17 21:25:28 2002    <amol@AMOLDWHISPHOME>
	* support.c,fork.c: attempt wow64 support. 
Rev 6.05
Sat Mar 16 10:53:21 2002    <amol@AMOLDWHISPHOME>

	* console.c: Fix refreshing problems with searching history.  

Rev 6.04
Fri Mar 01 18:52:30 2002    <amol@AMOLDWHISPHOME>

	* ntfunc.c: Fix another bug. Some associated files were launched twice.

Rev 6.03
Mon Feb 18 19:24:47 2002    <amol@AMOLDWHISPHOME>

	* ntfunc.c,support.c: Of course, fix bug introduced by previous fix.
 	(#! emulation was broken)

Rev 6.02
Sun Feb 17 15:10:50 2002    <amol@AMOLDWHISPHOME>
	* various files, many fixes,
	1. SetFileApisToOEM: Fix display problems with Euro filenames.
	2. Try explorer associations in fast exec path as well.
	3. Fix bug with TCSHONLYSTARTEXES not working for extensions less
	than 3 chars
	4. Fix bug with e_page_up/down that always made them beep.
	5. Fix bug related to backward-search refreshing problem
Wed Oct 10 21:58:50 2001    <amold@AMOLDHOME>
	* win32\clip.c: Fix bug in redirection to /dev/clipboard. it should work
	now.
Rev 6.00
Thu Aug 16 18:55:54 2001    <amold@AMOLDHOME>
	* win32\clip.c: Integrate with 6.10.02, put e_copy_from_clipboad and
	e_paste_from_clipboard back. Document N-S binding in README.NT.
Rev 5.56,5.57
Tue Jun 19 22:13:52 2001    <amold@AMOLDHOME>
	* various files: Remove stacksize builtin. Shift keymap. Sync with
	tcsh-6.10.01. e_undosify etc.
Rev 5.55
Wed Mar 28 17:19:06 2001    <amold@AMOLDHOME>
	* misc files: add sourcerc and printrc builtins
Rev 5.54
Sat Jan 27 18:45:20 2001    <amold@AMOLDHOME>
	* win32\ps.c: Fixed bug that made ps crash on NT 4.0
Rev 5.53
Thu Nov 30 14:30:03 2000    <amold@SKYNYRD>
	* win32\ntfunc.c: 6.10, fix bug in 'start' and TCSHONLYSTARTEXES
Rev 5.52
Wed Nov 15 03:54:03 2000    <Administrator@AMOLDHOME>
	* misc files: integrate 6.09.04 
Rev 5.51
Thu Jul 20 19:25:41 2000    <amold@AMOLDHOME>
	* win32\ps.c: Fix bug in ps.c
Rev 5.50
Fri Jul 14 20:33:33 2000    <amold@AMOLDHOME>
	* various: Fix TCSHONLYSTARTEXES and completion. add e_page_up
 	and e_page_down editor functions. Some 64-bit work.
Rev 5.49
Mon Jun 05 17:42:55 2000    <amold@SKYNYRD>
	* win32\ntfunc.c: move executable() to NT source.
Rev 5.48
Mon May 29 14:22:03 2000    <amold@SKYNYRD>
	* various files: Finally integrate patches for "start <directory>".
	Also, completions will recognize extensions from TCSHONLYSTARTEXES
Rev 5.46
Wed Mar 01 10:32:22 2000    <amold@SKYNYRD>
	* win32\ntfunc.c,win32\support.c: Make NTlamepathfix consistent
 	across fast exec, launched associations as well as normal 
	command execution.
Rev 5.45
Fri Jan 07 11:50:03 2000    <amold@SKYNYRD>
	* win32\support.c, ntfunc.c, Makefile.win32: Remove stack probing
 	in fork() by commiting 1/2MB of the thread stack instead of the
 	default page size. To reduce the footprint of spawned threads
	(for clipboard or SIGCHILD), a new builtin stacksize has been 
	added.
Rev 5.44
Thu Jan 06 12:28:55 2000    <amold@SKYNYRD>
	* win32\stdio.c: Fixed serious bug that would cause backticked
	expressions in shell scripts to not run. Should also fix hangs
	with piped builtins like "bindkey | wc -l"
Rev 5.43
Fri Oct 29 11:10:58 1999    <amold@SKYNYRD>
	* win32\support.c: added NTnoquoteprotect variable. 
Rev 5.42
Sun Oct 24 11:52:06 1999    <amold@SKYNYRD>
	* win32\ntfunc.c: Fix $? on fast exec path.
Rev 5.41
Fri Oct 08 11:08:41 1999    <amold@SKYNYRD>
	* win32\support.c: Support for NTcaseifypwd 
Rev 5.37
Fri Apr 02 11:51:54 1999    <amold@SKYNYRD>
	* tc.func.c: Fixed bug that showed files in ls //server/share
 	as directories.
Rev 5.36
Wed Mar 24 14:36:50 1999    <amold@SKYNYRD>
	* tc.func.c, win32\stdio.c: Cleaned up code. fixed bug
 	that would prevent ls //unc (introduced in 5.35, of course).
Rev 5.34,5.35
Tue Mar 23 12:07:52 1999    <amold@SKYNYRD>
	* various files: Fix for ls c:/bin/* and paths with spaces
Rev 5.33
Wed Mar 17 12:37:50 1999    <amold@SKYNYRD>
	* win32\support.c: Fix bug to resume converting $HOME to
	'/'-delimited.
Mon Mar 15 11:15:51 1999    <amold@SKYNYRD>
    * sh.func.c: Make setting environment variables case-insensitve
Rev 5.321
Mon Mar 15 09:46:34 1999    <amold@SKYNYRD>
	* win32\ntfunc.c: remove stupid hardcoded breakpoint. Hit when
 	executing scripts, batch files, etc.
Rev 5.32
Sat Mar 13 12:58:34 1999    <amold@SKYNYRD>
	* various files: Use hashtable to check command spelling. Will
	eliminate bogus corrections on NT. Code re-org in support.c.
	Also backed out agressive correction introduced in 5.29. 
Rev 5.29
Tue Feb 09 16:23:39 1999    <amold@SKYNYRD>
	* tw.parse.c,tw.spell.c: Aggressive spelling correction. Apppend
 	".exe" to a command while doing spellcheck.
Rev 5.28
Wed Feb 03 16:58:46 1999    <amold@SKYNYRD>
	* various files: speed up argument parsing in exec. should
 	make commands with long argument strings run considerably faster.
	Speed up argument parsing for the start builtin as above. remove
	shell limit on command length.
	Code cleanups, move heap_init() to executable entry point instead
 	of  fork_init() to prevent heap conflicts in child processes.
Rev 5.27
Fri Jan 08 10:36:24 1999    <amold@SKYNYRD>
	* win32\io.c: ignore ctrl-space and ctrl-@ if NOREBIND
 	is not set. This should fix the bug which caused altgr-q
	to not work, for example.
Rev 5.261
Fri Nov 20 15:34:32 1998    <amold@SKYNYRD>
	* sh.sem.c: fixed stupid bug that neutralized the fast exec
	path. set NTslowexec if you get funky behaviour from the shell.
Rev 5.26
Fri Nov 20 15:13:51 1998    <amold@SKYNYRD>
	* ed.refresh.c: Patch from taga nayuta for fixing problems
 	with rprompt and prompt both having ANSI escapes.
Rev 5.25
Tue Nov 03 12:23:20 1998    <amold@SKYNYRD>
	* win32\support.c: Win9x-specific fix for apps which may
	have been started from a directory with a '.' in the name, but
	without specifying the extension. e.g., c:/foo.bar/baz
Rev 5.24
Sat Oct 31 16:12:20 1998    <amold@SALEMS_LOT>
	* tc.bind.c,win32\nt.bind.c: Bindkey extensions for N-C 
	N-M. See README.NT for details. Fixed bug in clipboard
	pasting on win95
Rev 5.23
Fri Oct 16 12:51:25 1998    <amold@SKYNYRD>
	* win32\support.c: improve support for win32 GUI app
	detection on Win9x (for TCSH_NOASYNCGUI).
Rev 5.21
Tue Oct 06 12:15:30 1998    <amold@SKYNYRD>
	* sh.dir.c,sh.exec.c: Synced with tcsh-6.08 and applied
 	patches to that same. (setenv HOME foo crash, and 
	compilation problem with sh.exec.c)
Rev 5.202
Thu Oct 01 11:55:53 1998    <amold@SKYNYRD>
	* win32\io.c, sh.exec.c: KANJI+multibyte fixes from
 	taga nayuta. 
	Fix for "where" failing with directories that had '.' in
	their name.
Rev 5.18
Fri Sep 11 08:21:18 1998    <amold@SKYNYRD>
	* win32\clip.c: Fixed bug that caused crashes when pasting
 	international characters from clipboard using e_paste...
Rev 5.17
Tue Sep 08 11:04:35 1998    <amold@SKYNYRD>
	* tc.func.c: Bugfix for hang when rmstar is set. 
Rev 5.16
Wed Aug 26 10:18:42 1998    <amold@SKYNYRD>
	* win32\ntfunc.c,sh.dir.c: Fixed bug in interaction between
	TCSHONLYSTARTEXES and "start". Fixed bug that caused a crash
	if you tried set home=C:\\ (which is WRONG anyway).
Rev 5.15
Tue Aug 04 14:48:32 1998    <amold@SKYNYRD>
	* ed.chared.c,ed.defns.c,ed.decls.h: Added e_dosify_prev. See
 	README.NT for details.
Rev 5.14
Tue Jul 28 10:17:53 1998    <amold@SKYNYRD>
	* win32\ntfunc.c: change in behaviour of TCSHONLYSTARTEXES. Please
 	check README.NT for details.
Rev 5.12
Sat Jul 18 13:12:39 1998    <amold@SKYNYRD>
	* win32\ntfunc.c: Patch from taga nayuta for start <URL> 
Rev 5.11
Tue Jul 14 15:55:32 1998    <amold@SKYNYRD>
	* ed.screen.c: Changed literal spec. in prompt to use ANSI
 	sequences instead of old hack. This is made necessary by the
	color-ls patch. It does not make any sense to have two methods
	of parsing these strings. 
Rev 5.10
Tue Jul 14 12:40:41 1998    <amold@SKYNYRD>
	* sh.sem.c: Check for NTslowexec before mangling the syntax
 	tree.
Rev 5.09
Sun Jul 12 17:13:09 1998    <amold@SALEMS_LOT>
	* win32\io.c,console.c: patches from TAGA nayuta. Includes fix for
	clear-screen, color-ls and ctrl-space, ctrl-@
Rev 5.04-5.08
Sat Jul 11 21:19:47 1998    <amold@SALEMS_LOT>
	* win32\signal.c: Hacked signal mechanism to deliver signal in
	the main thread. May cause crashes/hangs. Can be compiled out.
Rev 5.03
Wed Jul 08 17:06:41 1998    <amold@SKYNYRD>
	* ed.refresh.c: Fixed bug in edit-time refresh of lines > 1 line. 
Rev 5.02
Mon Jul 06 11:08:12 1998    <amold@SKYNYRD>
	* various: separated nt-specific builtins from the rest of the
	shell. Makes maintainence easier.
Rev 5.00
Tue Jun 30 14:46:26 1998    <amold@SKYNYRD>
	* various: synced with tcsh-6.07.08. Fixed bug in alias 
	interactions with fast exec. make settc work with li and
	co.
Rev 4.09
Mon Jun 01 13:54:05 1998    <amold@SKYNYRD>
	* win32\ntfunc.c: Fixed fast exec path to use the hash
Rev 4.07
Sat May 30 13:37:26 1998    <amold@SKYNYRD>
	* sh.sem.c: Fixed bug in dollar expansion in the fast exec
 	path.
	* win32\clip.c: Removed 4Kb clipboard limitation. 

	Misc. code cleanup.
Rev 4.05
Thu May 28 14:17:57 1998    <amold@SKYNYRD>
	* win32\support.c,win32\ntfunc.c,sh.sem.c: Fixed bug that
 	prevented execution of programs whose path had spaces in them.
	Added optimization for simple commands to avoid fork(). Please
	read about NTslowexec in README.NT if you see any weird 
	behaviour from the shell.
Rev 4.03
Fri May 22 08:19:32 1998    <amold@SKYNYRD>
	* win32\support.c: Fixed parsing of quoted args to child processes.
	hopefully. 
Rev 4.02
Thu May 14 18:52:22 1998    <amold@SKYNYRD>
	* win32\support.c: Fixed bug that caused UNC-path-exes to be  
	spawned in a new window. Also fixed wildcard expansion bug
	(ls *.c ) caused by merge with standard distribution.
Rev 4.0
Thu Apr 23 09:49:28 1998    <amold@SKYNYRD>

	* tcsh-6.07.06 pre-release. Please try it out and see if 
	anything got broken in integration.

rev 3.661
Fri Apr 10 16:48:04 1998    <amold@SKYNYRD>
	* tc.const.c: Changed NTONLYSTARTEXES to TCSHONLYSTARTEXES. really.
rev 3.66
Sat Apr 04 15:22:02 1998    <amold@SKYNYRD>
	* win32\support.c: fixed bug that was restricting command line
	lengths. 
Rev 3.652
Fri Mar 27 11:26:24 1998    <amold@SKYNYRD>
	* tc.prompt.c: Keep server names in prompt when %C is specified. 
	* win32\ntfunc.c: Fixed crash in the start builtin when options
	were specified but no command.
Rev 3.651
Tue Mar 24 17:53:32 1998    <amold@SKYNYRD>
	* win32\ntfunc.c: Took out 512-char limit in setenv.
Rev 3.65
Wed Mar 11 09:26:43 1998    <amold@SKYNYRD>
	* sh.h: Fixed bug that caused problem with 'which' or
	crashed the shell when a path component did not have
	the drive letter. e.g., '/bin' or set home=/foo
Rev 3.643
Sun Mar 08 12:55:04 1998    <amold@SKYNYRD>
	* sh.dir.c: Fixed crash in echo `dirs` 
Rev 3.641
Sat Feb 21 12:06:18 1998    <amold@SALEMS_LOT>
	* win32\support.c: NTONLYSTARTEXES changed to TCSHONLYSTARTEXES
	NTlameargfix done by default. The variable has no effect now.
	Both changes due to major restructuring of execve(). It's faster,
	but probably not appreciable to the human eye.

Rev 3.64
Fri Feb 20 17:08:27 1998    <amold@SKYNYRD>
	* win32\support.c: cleaned up execve(), fixed crash in win95 when
 	trying file associations.
	(cleanup may have introduced bugs, be careful)
Rev 3.63
Thu Feb 12 10:07:10 1998    <amold@SKYNYRD>
	* win32\ps.c: psapi.dll no longer needed, but will be used if
 	it exists (of course, Windows NT only).
Rev 3.62
Thu Feb 05 11:31:56 1998    <amold@SKYNYRD>
	* win32\ps.c: Added -3 argument for the kill builtin. This will
 	send a WM_CLOSE message to the app's window. May be a useful 
	way to shut down GUI apps. tcsh itself can also be killed 
	with this "signal" (maps to a SIGHUP or CTRL_CLOSE_EVENT).

Rev 3.612
Fri Jan 30 14:29:44 1998    <amold@SKYNYRD>
	* sh.proc.c: Changed kill to take hex pid (0xff...) as well
 	Probably helps on win95 if you use the builtin ps
	to list processes.
Rev 3.611
Tue Jan 27 17:48:02 1998    <amold@SKYNYRD>
	* win32\support.c: of course, the /dev/clipboard stuff had
 	a bug.
Rev 3.61
Tue Jan 27 14:04:21 1998    <amold@SKYNYRD>
	* win32\clip.c,win32\stdio.c: Hack to treat /dev/clipboard
 	as a special case for i/o redirection. Limit of 4K, not fully
	tested. Use at your own risk. Idea by David Sinck.
Rev 3.60
Tue Jan 27 09:06:41 1998    <amold@SKYNYRD>
	* ed.chared.c,ed.defns.c: added e_dosify_next editor function
 	to enable converting '/'-delimited paths to '\'-delimited.
	For those times when you just have to use xcopy.
Rev 3.59
Thu Jan 22 11:16:00 1998    <amold@SKYNYRD>
	* win32\globals.c,support.c: Added support for starting
 	GUI apps asynchronously (don't wait for them to terminate).
	Can be overridden by setting TCSH_NOASYNCGUI to a non-zero
	length. Also put in logic to try appending ".exe" as well
	as ".EXE" to a command. This is for some case-sensitive
	filesystem drivers out there.
Rev 3.581
Fri Jan 02 10:26:16 1998    <amold@SKYNYRD>

	* win32\clip.c: Fixed minor bugs and removed shared kill buffer
	code. Only the clipboard can be used to share data now. See
	README.NT for details on how to use the clipboard.

Rev 3.58
Wed Dec 31 13:26:40 1997    <amold@SKYNYRD>
	* ed.defns.c,win32\clip.c: Added support for the clipboard
	functions. Disabled shared kill buffers
Rev 3.57
Tue Dec 30 17:42:27 1997    <amold@SKYNYRD>
	* ed.chared.c,win32\support.c: Experimental sharing of 
 	kill buffers among all active instances of tcsh. 
	I'm not	sure how well this works yet.
Rev 3.563
Tue Dec 30 10:32:34 1997    <amold@SKYNYRD>
	* sh.func.c: Fixed bug in unsetenv (it wasn't working at all).
Rev 3.561
Mon Dec 29 11:57:16 1997    <amold@SKYNYRD>
	* win32\ps.c: Fixed bug in ps. Also added manadatory
	"now" argument to shutdown.
Rev 3.56
Tue Dec 23 14:05:16 1997    <amold@SKYNYRD>
	* win32\ps.c: Added shutdown builtin. 
Rev 3.55
Fri Dec 19 13:28:25 1997    <amold@SKYNYRD>
	* win32\ps.c: Added ps builtin. 
Rev 3.544
Fri Dec 12 13:41:52 1997    <amold@SKYNYRD>
	* tw.parse.c: Fixed bug in complete=igncase 
Rev 3.543
Wed Dec 10 14:01:12 1997    <amold@SKYNYRD>
	* win32\io.c: Fix for redirecting to /dev/null. 
Rev 3.542
Wed Dec 03 10:15:45 1997    <amold@SKYNYRD>
	* win32\io.c: Fix for spurious CR's on win95 when
 	running commands that read from stdin. 
Rev 3.541
Tue Nov 25 11:22:05 1997    <amold@SKYNYRD>
	* win32\ntfunc.c: Fix for some bugs with NTONLYSTARTEXES 
Rev 3.54
Mon Nov 24 15:32:45 1997    <amold@SKYNYRD>
	* tc.const.c,sh.func.c: Added environment variable 
	NTONLYSTARTEXES, which can be set on the fly, to 
	control whether associations (e.g., notepad with .txt)
	should be recognized.
Recv 3.53
Mon Nov 24 13:17:04 1997    <amold@SKYNYRD>
	* misc files: Changed copyright to Berkeley. Fixed minor
  	bugs.
Rev 3.52
Fri Nov 21 09:41:03 1997    <amold@SKYNYRD>
	* win32\fork.c: Fixed bug in environment inheritance. 
Rev 3.51
Mon Nov 17 14:51:57 1997    <amold@SKYNYRD>
	* tc.func.c: Fix for ls //server 
Rev 3.4,3.5
Fri Nov 14 09:34:13 1997    <amold@SKYNYRD>
	* misc: Integrated into standard distribution.
	Feeping creaturism: Added support for file associations.
	e.g, start foo.txt will start notepad with foo.txt etc.
Rev 3.325
Tue Oct 28 16:38:03 1997    <amold@SKYNYRD>
	* sh.h: Fix to make $$ inherited by child process. The bug
	showed up in tcsh <infile>out.$$, for example
Rev. 3.323,3.324
Wed Oct 22 13:06:59 1997    <amold@SKYNYRD>
	* ntport\support.c: Made hack below a little smarter. Add '.'
	only if the command is not found by the usual search.
	* ntport\ntfunc.c: Fix to pass arguments on to batch files
Rev. 3.322
Wed Oct 15 14:37:22 1997    <amold@SKYNYRD>
	* ntport\support.c: Win95-only hack to add '.' to the end
 	of a command that does not have any '.'-s. 
Rev. 3.321
Mon Oct 13 09:47:35 1997    <amold@SKYNYRD>

	* sh.func.c: Fix for TCSHSUBSTHB when the #! command contains only 
	one word. 
	* ntport\support.c: Fix for paths with "./" instead of "." on
	win95.

Rev 3.32
Thu Oct 09 17:01:30 1997    <amold@SKYNYRD>

	* ntport\ntfunc.c,sh.func.c: Hacks for TCSHSUBSTHB. See README.NT
	for details. Allegedly makes it easier to run scripts directly
	from Unix.

Rev 3.31
Mon Oct 06 18:22:10 1997    <amold@SKYNYRD>

	* tc.const.c: Fixed bug in NTlamepathfix. Added variable
 	NTlameargfix. This will make it possible to run cmd or print
	etc. without aliasing them.

Rev 3.30
Mon Sep 22 14:52:50 1997    <amold@SKYNYRD>

	* ntport\support.c: Added wrapper for chdir, to convert
	'/'s to '\'s on Win95. 

Rev 3.29
Mon Sep 15 08:52:11 1997    <amold@SKYNYRD>

	* ntport\bogus.c: Fixed bug in ~-expansion. ~foo was being expanded
	to $home for the current user. 
	* sh.func.c: Changed isbfunc to use StrQcmp instead of my own
	hacked unqoute_Strcmp.

Rev 3.281
Fri Sep 05 15:13:18 1997    <amold@SKYNYRD>

	* ntport\ntfunc.c: Fixed stupid bug in unsetenv. Instead of
	unsetting, a garbage value was being filled in.

Rev 3.27
Wed Aug 27 19:23:49 1997    <amold@SALEMS_LOT>

	* sh.func.c: Fix for quoting aliased builtins. Thanks to
	Vincent Fatica for pointing this bug out. It exists with
	the unix version of tcsh 6.07.02 as well.

Rev 3.262,Rev 3.263
Tue Aug 26 17:33:38 1997    <amold@SKYNYRD>

	* support.c: Fixed HOSTTYPE string to show NT service packs.
	* sh.c: Fix for win95's lameness in parsing c://.tcshrc
 	If you really want to set a silly home directory like
	C:/, it should work now. 

Rev 3.26, 3.261
Mon Aug 18 17:53:25 1997    <amold@SKYNYRD>

	* sh.dol.c: Fix for echoing input when using $< interactively
	* sh.exec.c: Fix for completing directory names properly. For 
	example, c:/b<tab> will list directories as well as executables.

Rev 3.25
Thu Aug 07 07:47:07 1997    <amold@SKYNYRD>

	* sh.exec.c,ntport\ntfunc.c: Added hack to run .cmd or
	.bat files. If they are hashed, they shall be run. 

Rev 3.24
Wed Aug 06 17:36:50 1997    <amold@SKYNYRD>

	* sh.exec.c: Fix for which/where on Win95

Rev 3.232
Wed Aug 06 14:21:01 1997    <amold@SKYNYRD>

	* ntport\support.c: Fix for fix for dirs with spaces in path.

Rev 3.23
Thu Jul 31 11:43:56 1997    <amold@SKYNYRD>

	* sh.lex.c,tc.func.c,ntport\io.c: Major code change. CRLF
	translation was messing up loops in scripts. The shell would
	seek to the wrong offset. Thanks to Rickard Westman for
	isolating the problem. The file i/o routines now do no translation.
	Everything is done in the shell code itself. This may lead to
	unforseen bugs, so beware.

Rev 3.22 
Mon Jul 28 07:58:24 1997    <amold@SKYNYRD>

	* ed.chared.c: Fix for ^C aborting current input
	* ntport\ntfunc.c: Make 'start' print error message if 
	command is not found.

Rev 3.21
Thu Jul 24 08:50:52 1997    <amold@SKYNYRD>

	* ntport\support.c: fix for directories with space in $path 

Rev 3.20
Thu Jul 17 09:59:32 1997    <amold@SKYNYRD>

	* ntport\console.c: Fix for scroll messing up dislay

Rev 3.19
Wed Jul 09 14:20:30 1997    <amold@SKYNYRD>

	* ntport\ntfunc.c: changed 'start' to only use '-' for switches
	* ntport\ntfunc.c: added 'cls' builtin. The normal clear-screen function
	has been fixed to clear only the visible window. Use cls if you need
	to clear the entire buffer.

Rev 3.18
Fri Jun 27 14:08:40 1997    <amold@SKYNYRD>

	* ntport\support.c,tc.const.c : Added variable NTlamepathfix, which
	when set will replace '/' in the PATH with '\' for child processes. Also 
	works with the start builtin.

Rev 3.17
Tue Jun 24 17:51:17 1997    <amold@SKYNYRD>

	* ntport\nt.who.c: Fix for crashes on exit in win95. 

Rev 3.16
Fri Jun 20 08:28:58 1997    <amold@SKYNYRD>

	* ntport\ntfunc.c: Fix for env variable fix. Also other misc memory
 	cleanup things. Env variables greater than 1024 now CANNOT be set.

Rev 3.15
Mon Jun 16 19:55:00 1997    <amold@SALEMS_LOT>

	* ntport\ntfunc.c: Fixed buffer overrun problems in nt_set_env.
    Environment variables will now be truncated at 1024 bytes. 
	* sh.proc.,ntport\support.c: nohup foo & now creates a detached process.
	This child has no access to the parent's console, and will continue to run
	if the parent shell exits and the console goes away.

Rev 3.14
Fri Jun 13 08:54:53 1997    <amold@SKYNYRD>

	* dirent.c, signal.c, io.c: minor bugfixes for dirent. Major
 	fixes for sigint handling.

Rev 3.12
Sun Jun 08 13:57:16 1997    <amold@SKYNYRD>

	* ntport\nt.who.c, tc.who.c: Added support for watch(). Needs 
 	more testing.

Rev 3.11
Thu Jun 05 16:33:01 1997    <amold@SKYNYRD>

	* ntport\ntfunc.c: added new variable 'oldtitle'. stores the
 	previous value of title, every time the title builtin is used.

Rev 3.10
Wed May 28 13:47:44 1997    <amold@SKYNYRD>

	* ntport\dirent.c: Enhancements for cd //server/<tab> or 
	ls //server. Basically, enumerate shares as if they were files.
	May not work if the server is win95, but I don't give a damn
	about that.

Rev 3.09 
Thu May 22 08:31:19 1997    <amold@SKYNYRD>

	* tw.parse.c: Support for complete=igncase. Like enhance, but 
 	restricted to case-insensitive completion.

Rev 3.08
Mon May 19 11:54:22 1997    <amold@SKYNYRD>

	* ntport\io.c: Fix for file descriptor confusion in non-interactive 
	shell.(Manifested as hangs in emacs compilation, for example)

Rev 3.07
Sat May 17 15:12:24 1997    <amold@SKYNYRD>

	* tc.func.c: Fixes to hashbang for #!c:/bin/tcsh.exe<space>

Rev 3.06
Thu May 15 08:37:47 1997    <amold@SKYNYRD>

	* ntport\io.c: Fix for heinous append(or lack thereof) redirection 
	bug.

Rev 3.06
Mon May 12 16:19:42 1997    <amold@SKYNYRD>

	* tc.prompt.c: Fix to print drive letter with %c prompt format

Rev 3.05
Thu May 08 17:54:12 1997    <amold@SKYNYRD>

	* ntport\ntfunc.c: Restored 'title' builtin

Rev 3.04
Wed May 07 14:02:32 1997    <amold@SKYNYRD>

	* sh.c: Fixed comparison with argv[0] for %c prompt format

Rev 3.03
Tue Apr 29 15:48:15 1997    <amold@SKYNYRD>

	* sh.sem.c: Really fixed cd this time.

Rev 3.02
Fri Apr 25 07:51:26 1997    <amold@SKYNYRD>

	* sh.sem.c: Fix for C: changing drives when implicitcd is set 

Rev 3.01
Sat Apr 19 16:00:23 1997  amold  <amold@SALEMS_LOT>

	* ntport\io.c: Fixed heredoc temp files to be deleted on close.

Rev 3.0
Thu Apr 17 09:24:46 1997    <amold@SKYNYRD>

	* ntport\io.c, ntport\fork.c: Fixes for compiling with optimization
	turned on. This is a release version. I've named it 3.0 to 
	differentiate it from the 6.06.02 nt-rev-2.10 junk.

Rev 1.9-beta
Mon Apr 14 19:26:01 1997  amold  <amold@SALEMS_LOT>

	* sh.dol.c: Hacks to fix here documents. (cat <<EOF)

Rev 1.8-beta
Mon Apr 14 15:27:24 1997    <amold@SKYNYRD>

	* ntport\signal.c: Put in a hack to avoid bad longjmps when ^C is hit.
	(showed up as a 0xC00000029 exception)

Rev 1.7-beta
Fri Apr 11 07:43:39 1997    <amold@SKYNYRD>

	* sh.proc.c: Fix for shell hanging on win95, after running command.

Rev 1.6-Beta
Thu Apr 10 19:56:57 1997  amold  <amold@SALEMS_LOT>

	* tw.parse.c: Fix to recognize C: when doing ls-F

Rev 1.5-Beta
Wed Apr 09 22:05:51 1997  amold  <amold@SALEMS_LOT>

	* ntport\signal.c: fixes for sched builtin. rearchitectured alarm()

Rev 1.4 Beta
Wed Apr 09 09:24:58 1997    <amold@SKYNYRD>

	* ed.refresh.c: Edit-time refreshing fix from prev. tcsh

Rev 1.3-Beta
Tue Apr 08 21:02:14 1997  amold  <amold@SALEMS_LOT>

	* sh.exec.c, ntport\support.c: Fixed exec builtin.

Rev 1.2-Beta
Tue Apr 08 19:54:29 1997  amold  <amold@SALEMS_LOT>

	* sh.c: Fixed importpath to convert '\' to '/'. This fixes the where
		builtin

Rev 1.1-Beta
Tue Apr 08 08:42:11 1997    <amold@SKYNYRD>

	* sh.func.c: Fixed inheritance of environment variables.

